version: '3.7'

services:
  cartorchestrationwebapp:
    restart: always
    build: .
    working_dir: /
    expose:
      - "8443"
    ports:
      - "8443:8443"
    environment:
      - SERVER_PORT=8443
      - CART_URL=http://cartwebapp:8446/cart/v1
      - PRICE_URL=http://pricewebapp:8444/price/v1
      - AVAILABILITY_URL=http://availabilitywebapp:8445/availability/v1
      - CATALOG_URL=http://catalogorchestrationwebapp:8448/catalog-orchestration/v1
    depends_on:
      - cartwebapp
      - pricewebapp
      - availabilitywebapp
      - catalogorchestrationwebapp